import { OnDestroy, OnInit } from '@angular/core';
export declare class NgxStoredGravatarComponent implements OnInit, OnDestroy {
    private unsubscribe;
    private gravatarKey;
    private imgSubject;
    private gravatarBaseUrl;
    url: any;
    textFallbackVisible: boolean;
    fallBackText: string;
    defaultStyle: {
        'width': string;
        'height': string;
        'display': string;
        'align-items': string;
        'justify-content': string;
        'border-radius': string;
        'border': string;
        'background': string;
        'color': string;
        'text-transform': string;
        'font-weight': string;
        'font-size': string;
        'line-height': string;
    };
    email: string;
    name: string;
    style: any;
    size: number;
    useLocalStore: boolean;
    constructor();
    ngOnInit(): void;
    private subscribeToImgUrl();
    private generateGravatarUrl();
    private setKey();
    private convertImgToBase64URL(url);
    getFallbackText(): string;
    private validateInput();
    ngOnDestroy(): void;
}
